List pending workspace invitations
curl --request GET \
--url https://app.sajn.se/api/v1/member-invites \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/member-invites"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/member-invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invites": [
{
"id": "<string>",
"email": "<string>",
"role": {
"id": "<string>",
"name": "<string>"
},
"status": "<string>",
"invitedBy": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"createdAt": "<unknown>",
"expiresAt": null
}
],
"totalPages": 123
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>",
"issues": [
{
"path": "<string>",
"message": "<string>"
}
],
"requiredScopes": [
"<string>"
],
"grantedScopes": [
"<string>"
]
}Members
List pending workspace invitations
Returns the pending invitations for this workspace. An invitation is created when a brand-new user is added via POST /api/v1/members with sendInvite: true.
Permission required: MANAGE_WORKSPACE_MEMBERS on the workspace.
GET
/
api
/
v1
/
member-invites
List pending workspace invitations
You’re viewing API version
2026-09, which is deprecated and stops working on October 1, 2027. To see the current version, select 2026-10 in the menu at the top of the sidebar. To move your integration, see Upgrading to 2026-10.Authorizations
bearerAuthoauth2
Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.
Headers
Bearer token for API authentication
Query Parameters
Was this page helpful?
⌘I

